%------------------- LineshapeKin Simulation -----------------------------
%-- version 4.0 
%
% 5/8/09
% Written by Evgenii Kovrigin
% Medical College of Wisconsin
%
% 
function figure1 = ITCFigure(LRrange, ITC_curve, Model, conditions)
% Plot ITC curve for the model

% Create figure
figure1 = figure('XVisual',...
    '0x22 (TrueColor, depth 24, RGB mask 0xff0000 0xff00 0x00ff)',...
    'Color',[1 1 1]);

% Create axes
TicksRange=0:0.2:max(LRrange);
axes1 = axes('Parent',figure1,'YGrid','on',...
    'XTick',TicksRange,...
    'XGrid','on',...
    'FontSize',16);


box('on');
hold('all');

% Plot smooth lines
plot(LRrange,ITC_curve,'Parent',axes1,'LineWidth',2);

   
% Create xlabel
xlabel('Ligand/Receptor,  mol/mol','FontSize',18);

% Create ylabel
ylabel('Heat uptake','FontSize',18);

% Create title
title(Model.name,'FontSize',24,'Interpreter','none');



