function Rtot = U_L2_model_numeric(params, constants )
%------------------- LineshapeKin Simulation -----------------------------
% Function for numeric solving of equilibrium thermodynamic equations
%
% 5/12/09
% Evgenii Kovrigin
% Medical College of Wisconsin
%
% U-L2 model developed in 
% /Users/kovrigin/Documents/Workspace/Data/Data.XV/EKM16.Analysis_of_multis
% tep_kinetic_mechanisms/Equilibria/LRIM_U_L2.mn


%--- this is what I need for K-matrix
Leq=params(1);


%-- these are constants 
K_a_A=constants(1);
K_a_B=constants(2);
Ltot=constants(3);



%-- equation

Rtot = Ltot - Leq - 2*K_a_B*Leq^2 - (2*K_a_B*Leq^2 + Leq - Ltot)/(K_a_A*Leq);
