function Rtot = U_R_RL_model_numeric(params, constants )
%------------------- LineshapeKin Simulation -----------------------------
% Function for numeric solving of equilibrium thermodynamic equations
%
% 5/12/09
% Evgenii Kovrigin
% Medical College of Wisconsin
%
% U-R-RL model developed in 
% [ek_mac]: /Users/kovrigin/Documents/Workspace/Data/Data.XV/
% EKM16.Analysis_of_multistep_kinetic_mechanisms/Equilibria/U_R_RL_derivation.mn 
% eq5_2


%--- this is what I need for K-matrix
Leq=params(1);


%-- these are constants named as used in the equation below
K_A_1=constants(1);
K_B_1=constants(2);
K_B_2=constants(3);
Ltot=constants(4);



%-- equation 5.2

Rtot = - (Leq - Ltot)/(K_A_1*Leq + K_A_1*K_B_2*Leq) - (K_B_1*(Leq - Ltot))/(K_A_1*Leq + K_A_1*K_B_2*Leq) - (K_A_1*Leq*(Leq - Ltot))/(K_A_1*Leq + K_A_1*K_B_2*Leq) - (K_A_1*K_B_2*Leq*(Leq - Ltot))/(K_A_1*Leq + K_A_1*K_B_2*Leq);